package mandelbrot;

import java.awt.Color;

/**
 * A color map containing red, green and blue.
 * 
 * @author ahoefer
 * 
 */
public class RGBColorMap implements ColorMap {

	private Color[] colors = new Color[] { Color.RED, Color.GREEN, Color.BLUE };

	/**
	 * Returns a <code>Color</code> for a value of the Mandelbrot.
	 * 
	 * @param value
	 *            a value of the Mandelbrot
	 * @return a <code>Color</code>, never null.
	 */
	public Color getColor(int value) {
		return colors[value % colors.length];
	}

}
